Bug 367871 - Review Request: gnome-theme-curvylooks - A modern Clearlooks theme using a Bluecurve-like color scheme
Review Request: gnome-theme-curvylooks - A modern Clearlooks theme using a B...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 22:29 EST by Peter Gordon
Modified: 2007-12-03 06:40 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 06:40:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.adam: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-11-05 22:29:16 EST
Spec URL: http://pgordon.fedorapeople.org/for-review/gnome-theme-curvylooks.spec
SRPM URL: http://pgordon.fedorapeople.org/for-review/gnome-theme-curvylooks-0.2-1.src.rpm

Description:
CurvyLooks, inspired by and based heavily on the work of Billy Cantrell's
Clearlooks_Cairo-Curve theme, is a simple theme for GTK+ which uses modern
features of the Clearlooks engine and a Bluecurve-like color scheme to provide
a rich and aesthetically-pleasing desktop experience, especially after
prolonged periods of usage.


rpmlint is silent on both the source and binary (noarch) RPMs.
Comment 1 Stewart Adam 2007-11-17 12:25:05 EST
+ source files match upstream: c68acb3013b82b0e3852f3a5da46aa869be00832

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.
+ latest version is being packaged.
+ BuildRequires are proper.
+ %clean is present.
+ package builds in mock ( ).
+ package installs properly
+ rpmlint is silent.
+ final provides and requires are sane:
  * Provides:
    gnome-theme-curvylooks = 0.2-1.fc8
  * Requires:
    gtk2-engines >= 2.12
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
ACCEPTED
Comment 2 Peter Gordon 2007-11-17 13:46:01 EST
Yay! Thanks for the review, Stewart.

New Package CVS Request
=======================
Package Name: gnome-theme-curvylooks
Short Description: A modern Clearlooks theme using a Bluecurve-like color scheme
Owners: pgordon
Branches: F-8 devel
InitialCC: (none)
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-11-17 20:11:34 EST
cvs done.
Comment 4 Peter Gordon 2007-11-18 00:28:55 EST
Imported and built for devel/F-8. Thanks.
Comment 5 Fedora Update System 2007-11-20 12:53:02 EST
gnome-theme-curvylooks-0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-theme-curvylooks'
Comment 6 Fedora Update System 2007-12-03 06:40:27 EST
gnome-theme-curvylooks-0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.